
QGIS Application - Bug report #9264

Error writing output shapefile while building Voronoi polygons

2013-12-29 12:40 AM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 17878

Description

Test case:

1. Open polygonal layer;

2. Open point layer with the same name as polygonal (from other directory);

3. Try to build Voronoi polygons: Vector - Geometry Tools - Voronoi Polygons;

4. In some cases (not always) we have error "Error writing output shapefile."

Test data in attachment.

History

#1 - 2013-12-29 12:41 AM - dr -

- File qgis_testdata.zip added

#2 - 2013-12-29 12:45 AM - Maxim Dubinin

confirmed

#3 - 2013-12-29 01:07 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

Confirmed also here, but works fine under processing.

#4 - 2013-12-29 01:30 AM - Salvatore Larosa

Not reproducible here with latest master under Linux.

#5 - 2016-03-25 03:27 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to worksforme

In master we have now only the Processing tools, and in this case it seems it works always as expected.
#6 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

qgis_testdata.zip 21.5 KB 2013-12-28 dr -
